Bug 58341 - [PATCH] Deal with a lot more edge cases in the D* functions
Summary: [PATCH] Deal with a lot more edge cases in the D* functions
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: SS Common (show other bugs)
Version: 3.13-dev
Hardware: All All
: P2 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2015-09-07 17:30 UTC by Patrick Zimmermann
Modified: 2015-10-14 14:31 UTC (History)
0 users



Attachments
dget_polish.patch (9.24 KB, patch)
2015-09-07 17:30 UTC, Patrick Zimmermann
Details | Diff
DGet.xls (49.50 KB, application/octet-stream)
2015-09-07 17:31 UTC, Patrick Zimmermann
Details
DGet.xls (50.00 KB, application/octet-stream)
2015-09-08 08:29 UTC, Patrick Zimmermann
Details
dget_polish.patch (9.30 KB, patch)
2015-09-08 08:29 UTC, Patrick Zimmermann
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Zimmermann 2015-09-07 17:30:25 UTC
Created attachment 33076 [details]
dget_polish.patch

Deal with a lot more cases correctly. Mostly involving blank cells, cells with empty strings, data types other than string and similar. The test XLS file now has a lot more test cases explicitly testing for edge cases.
Comment 1 Patrick Zimmermann 2015-09-07 17:31:22 UTC
Created attachment 33077 [details]
DGet.xls
Comment 2 Patrick Zimmermann 2015-09-08 08:29:21 UTC
Created attachment 33081 [details]
DGet.xls

Should go to /test-data/spreadsheet/DGet.xls
Comment 3 Patrick Zimmermann 2015-09-08 08:29:57 UTC
Created attachment 33082 [details]
dget_polish.patch
Comment 4 Dominik Stadler 2015-10-14 14:31:54 UTC
This is applied in latest trunk now via r1708606. Thanks for the Patch!